VST 3 Examples: TalkBoxProcessor Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TalkBoxProcessor Class Reference

`#include <mdaTalkBoxProcessor.h>`

Inheritance diagram for TalkBoxProcessor:

## Public Member Functions
| TalkBoxProcessor ()
| ~TalkBoxProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0xF235EEE4, 0x92084883, 0xAD5C8632, 0x34DFE073)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE
void | lpc (float *buf, float *car, int32 n, int32 o)
void | lpc_durbin (float *r, int32 p, float *k, float *g)

## Protected Attributes
float * | car0
float * | car1
float * | window
float * | buf0
float * | buf1
float | emphasis
int32 | K
int32 | N
int32 | O
int32 | pos
int32 | swap
float | wet
float | dry
float | FX
float | d0
float | d1
float | d2
float | d3
float | d4
float | u0
float | u1
float | u2
float | u3
float | u4

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

TalkBoxProcessor | ( |  | ) |

~TalkBoxProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inlinevirtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inlinestatic

static DECLARE_UID | ( | uid | ,
|  | 0xF235EEE4 | ,
|  | 0x92084883 | ,
|  | 0xAD5C8632 | ,
|  | 0x34DFE073 |
| ) |  |
| inlinestatic

void recalculate | ( |  | ) |
| protectedvirtual

Reimplemented from Processor.

void lpc | ( | float * | buf,
|  | float * | car,
|  | int32 | n,
|  | int32 | o
| ) |  |
| protected

void lpc_durbin | ( | float * | r,
|  | int32 | p,
|  | float * | k,
|  | float * | g
| ) |  |
| protected

## Member Data Documentation

float* car0
| protected

float * car1
| protected

float* window
| protected

float* buf0
| protected

float * buf1
| protected

float emphasis
| protected

int32 K
| protected

int32 N
| protected

int32 O
| protected

int32 pos
| protected

int32 swap
| protected

float wet
| protected

float dry
| protected

float FX
| protected

float d0
| protected

float d1
| protected

float d2
| protected

float d3
| protected

float d4
| protected

float u0
| protected

float u1
| protected

float u2
| protected

float u3
| protected

float u4
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.